set version to 4.2.4